.bordered-header {
    border: 2px solid #ffc451;
    padding: 10px;
    border-radius: 5px;
    margin-bottom: 20px;
    text-align: center;
    background-color: black;
    color: white;
}

.bordered-header1 {
    border: 1px solid #ffc451;
    border-radius: 5px;
    margin-bottom: 20px;
    text-align: center;
    background-color: black;
    color: white;
}
.card-text {
    font-size: 12px;
    font-weight: bold;
}

.section {
    border: 2px solid #ffc451;
    padding: 10px;
    margin: 10px;
    border-radius: 5px;
    background: black;
    overflow: hidden;
    display: block;
    -webkit-border-radius: 5px;
    -moz-border-radius: 5px;
    -ms-border-radius: 5px;
    -o-border-radius: 5px;
}
.hidden {
    display: none !important;
}
.card {
    width: 200px;
    max-width: auto;
    border: 2px solid #ccc;
    border-radius: 10px;
    text-align: center;
    display: inline-block;
    padding: 10px;
    background-color: blanchedalmond;
}



.card .img-container:hover .card-img {
    transform: scale(1.05);
    /* Hacer zoom ligeramente */
    transition: transform 0.3s;
    /* Agregar transición suave */
    cursor: pointer;
    /* Cambiar el cursor a un puntero */
}

@media (min-width: 360px) and (max-width: 760px) {
    #filter-buttons {
        flex-direction: column;
    }
}


/*****************filter************************/
/* Estilos para los botones de filtro */
#filter-buttons {
    display: flex;
    flex-wrap: wrap;
    justify-content: center;
    margin-bottom: 20px;
}

#filter-buttons button {
    border: 2px solid white;
    border-radius: 3px;
    background: transparent;
    color: white;
    margin: 5px;
    transition: background-color 0.3s, color 0.3s;
    cursor: pointer;
}

#filter-buttons button.active {
    background: red;
    border: 2px solid white;
    color: white;
}

#filter-buttons button:hover {
    background: rgba(255, 0, 0, 0.2);
    color: white;
}


/******************************/
/* Estilos para el card deck */
/******************************/
#filterable-cards .card {
    position: relative;
    margin: 0;
    max-width: 14rem;
    border: 2px solid #ffc451;
    border-radius: 10px;
    overflow: hidden;
    height: auto;
}

#filterable-cards .card .card-img {
    width: 100%;
    height: 100%;
    object-fit: cover;
    cursor: pointer;
    /* Agregado para cambiar el cursor a una mano al pasar el ratón */
}


.close-button {
    position: absolute;
    top: calc(100px - 18px);
    /* Ajusta la posición verticalmente */
    right: 5px;
    /* Ajusta la posición horizontalmente */
    color: brown;
    background-color: black;
    border: 2px solid #ffc451;
    /* Ajusta el borde */
    border-radius: 50%;
    /* Redondea el botón */
    width: 36px;
    height: 36px;
    padding: 0;
    cursor: pointer;
    transition: background-color 0.3s ease-in-out;
    display: flex;
    justify-content: center;
    /* Centra horizontalmente */
    align-items: center;
    /* Centra verticalmente */
}

.close-button:hover {
    background-color: #ffc451;
    opacity: 0.8;
}

.close-button .iconify {
    margin: auto;
    width: 36px;
    height: 36px;
}


.thumb-container {
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    text-align: center;
    padding: 10px;
    background-color: #fff;
    /* Puedes cambiar el color de fondo según tus preferencias */
    border-radius: 8px;
    box-shadow: 0 0 10px rgba(0, 0, 0, 0.1);
    /* Añade sombra según tus preferencias */
}

/*******************icono container*************/
.thumb-container {
    background-color: black;
    color: white;
    border: 2px solid #ffc451;
    padding: 10px;
    display: inline-block;
    /* Alinea el contenedor en línea */
    perspective: 1000px;
    /* Agrega perspectiva para el efecto 3D */
}

.thumb-text {
    margin: 0;
}

.iconify {
    font-size: 36px;
    transform-origin: center;
    /* Establece el origen de la transformación en el centro */
}

.rotate {
    animation: zoomOutAnimation 1s ease-out;
}

@keyframes zoomOutAnimation {
    0% {
        transform: scale(1) translateZ(0);
    }

    100% {
        transform: scale(0) translateZ(2000px);
    }
}

/* Estilos para el card deck en versión móvil */
@media (max-width: 600px) {
    #filterable-cards .card {
        width: calc(100% - 20px);
        /* Ajusta al 100% del ancho con un margen de 10px en ambos lados */
        margin: 0 10px 10px 10px;
        /* Añade un margen alrededor de las tarjetas */
    }
}